semaphore.hpp File Reference

defines the semaphore class More...

`#include "config.h"`
`#include <string>`
`#include "mutex.hpp"`

Go to the source code of this file.

## Classes

class | libthreadar::semaphore
| Class semaphore is an enhanced version of Posix semaphore. More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines the semaphore class

Definition in file semaphore.hpp.